Bug 341 - autogen.sh fails because of missing Makefile.in
Summary: autogen.sh fails because of missing Makefile.in
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xephyr (show other bugs)
Version: unspecified
Hardware: Other other
: high normal
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-17 14:30 UTC by Viktor Rosenfeld
Modified: 2011-10-15 17:20 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Here's the patch that got it to build for me. (514 bytes, patch)
2004-03-18 07:59 UTC, Greg Brigley
no flags Details | Splinter Review

Description Viktor Rosenfeld 2004-03-17 14:31:00 UTC
When running `./autogen.sh --prefix=/usr/local/fdo --enable-composite` in the 
xserver directory, the build fails with the following error messages: 
 
autoreconf: running: automake --add-missing --copy --no-force 
configure.ac:580: required file `hw/xizzle/xaa/lsb_first/Makefile.in' not 
found 
configure.ac:580: required file `hw/xizzle/xaa/msb_first/Makefile.in' not 
found 
configure.ac:580: required file `hw/xizzle/xaa/lsb_fixed/Makefile.in' not 
found 
configure.ac:580: required file `hw/xizzle/xaa/msb_fixed/Makefile.in' not 
found 
 
In fact, the directories lsb_fixed and msb_fixed don't exist.  This is from a 
fresh cvs checkout today.
Comment 1 Greg Brigley 2004-03-18 07:59:12 UTC
Created attachment 155 [details] [review]
Here's the patch that got it to build for me.

I think someone made those directories obsolete, and forgot to update
configure.ac  .  I don't know for sure, but it builds and runs for me now.
Comment 2 Adam Jackson 2004-07-25 16:37:12 UTC
fixed in current CVS.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.